
QGIS Application - Bug report #21743

Vertices symbols stay displayed after editing a polyline, and stay displayed even in a fresh new 

project file!

2019-04-03 11:17 AM - Romain P

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 29558

Description

As usual on Qgis 2.18, I moved polyline nodes to reshape it. When I clicked on the crayon to finish and save modifications, red dots

located on polylines stayed displayed.

I tried to remove the corresponding layer, then the others, then starting with a fresh new project, refreshing the display, without success.

This is a big issue, as I can't make a new Qgis project without this red dots.

Attached is a printscreen of the described problem with a fresh project in Qgis Noosa.

History

#1 - 2019-04-06 11:29 AM - Giovanni Manghi

- Priority changed from High to Normal

- Category changed from Editing to Map Canvas

- Status changed from Open to Feedback

A visual glitch that I have seen it happen from time to time, just restart QGIS...

#2 - 2019-04-07 05:45 PM - Romain P

Giovanni Manghi wrote:

A visual glitch that I have seen it happen from time to time, just restart QGIS...

Thing is in that case, this red dots are still there after restarting qgis and/or computer. I didn't try to reinstall qgis, but that won't bring a proper solution to

that problem.

#3 - 2019-04-08 09:49 AM - Romain P

Romain P wrote:

Giovanni Manghi wrote:

A visual glitch that I have seen it happen from time to time, just restart QGIS...
Thing is in that case, this red dots are still there after restarting qgis and/or computer. I didn't try to reinstall qgis, but that won't bring a proper

solution to that problem.

For an unknown reason, these red dots disappeared when I start my PC this morning...

If someone get this problem again, please report in this thread.

#4 - 2019-04-08 11:09 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

For an unknown reason, these red dots disappeared when I start my PC this morning...

If someone get this problem again, please report in this thread.

reopen if necessary.

Files

Red_dots_editing_persistent.PNG 90.3 KB 2019-04-03 Romain P
